Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network76.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
76.0.0.0
Broadcast address
76.127.255.255
First usable
76.0.0.1
Last usable
76.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 4C000000 · Integer 1275068416 to 1283457023
Reverse DNS zones
0.76.in-addr.arpa
1.76.in-addr.arpa
2.76.in-addr.arpa
3.76.in-addr.arpa
4.76.in-addr.arpa
5.76.in-addr.arpa
6.76.in-addr.arpa
7.76.in-addr.arpa
8.76.in-addr.arpa
9.76.in-addr.arpa
10.76.in-addr.arpa
11.76.in-addr.arpa
12.76.in-addr.arpa
13.76.in-addr.arpa
14.76.in-addr.arpa
15.76.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001100.00000000.00000000.0000000076.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01001100.00000000.00000000.0000000076.0.0.0
Broadcast01001100.01111111.11111111.1111111176.127.255.255
Split into smaller subnets/19

76.0.0.0/9 makes 1,024 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
176.0.0.0/1976.0.0.1 to 76.0.31.25476.0.31.2558,190
276.0.32.0/1976.0.32.1 to 76.0.63.25476.0.63.2558,190
376.0.64.0/1976.0.64.1 to 76.0.95.25476.0.95.2558,190
476.0.96.0/1976.0.96.1 to 76.0.127.25476.0.127.2558,190
576.0.128.0/1976.0.128.1 to 76.0.159.25476.0.159.2558,190
676.0.160.0/1976.0.160.1 to 76.0.191.25476.0.191.2558,190
776.0.192.0/1976.0.192.1 to 76.0.223.25476.0.223.2558,190
876.0.224.0/1976.0.224.1 to 76.0.255.25476.0.255.2558,190
976.1.0.0/1976.1.0.1 to 76.1.31.25476.1.31.2558,190
1076.1.32.0/1976.1.32.1 to 76.1.63.25476.1.63.2558,190
1176.1.64.0/1976.1.64.1 to 76.1.95.25476.1.95.2558,190
1276.1.96.0/1976.1.96.1 to 76.1.127.25476.1.127.2558,190
1376.1.128.0/1976.1.128.1 to 76.1.159.25476.1.159.2558,190
1476.1.160.0/1976.1.160.1 to 76.1.191.25476.1.191.2558,190
1576.1.192.0/1976.1.192.1 to 76.1.223.25476.1.223.2558,190
1676.1.224.0/1976.1.224.1 to 76.1.255.25476.1.255.2558,190
1776.2.0.0/1976.2.0.1 to 76.2.31.25476.2.31.2558,190
1876.2.32.0/1976.2.32.1 to 76.2.63.25476.2.63.2558,190
1976.2.64.0/1976.2.64.1 to 76.2.95.25476.2.95.2558,190
2076.2.96.0/1976.2.96.1 to 76.2.127.25476.2.127.2558,190
2176.2.128.0/1976.2.128.1 to 76.2.159.25476.2.159.2558,190
2276.2.160.0/1976.2.160.1 to 76.2.191.25476.2.191.2558,190
2376.2.192.0/1976.2.192.1 to 76.2.223.25476.2.223.2558,190
2476.2.224.0/1976.2.224.1 to 76.2.255.25476.2.255.2558,190
2576.3.0.0/1976.3.0.1 to 76.3.31.25476.3.31.2558,190
2676.3.32.0/1976.3.32.1 to 76.3.63.25476.3.63.2558,190
2776.3.64.0/1976.3.64.1 to 76.3.95.25476.3.95.2558,190
2876.3.96.0/1976.3.96.1 to 76.3.127.25476.3.127.2558,190
2976.3.128.0/1976.3.128.1 to 76.3.159.25476.3.159.2558,190
3076.3.160.0/1976.3.160.1 to 76.3.191.25476.3.191.2558,190
3176.3.192.0/1976.3.192.1 to 76.3.223.25476.3.223.2558,190
3276.3.224.0/1976.3.224.1 to 76.3.255.25476.3.255.2558,190
3376.4.0.0/1976.4.0.1 to 76.4.31.25476.4.31.2558,190
3476.4.32.0/1976.4.32.1 to 76.4.63.25476.4.63.2558,190
3576.4.64.0/1976.4.64.1 to 76.4.95.25476.4.95.2558,190
3676.4.96.0/1976.4.96.1 to 76.4.127.25476.4.127.2558,190
3776.4.128.0/1976.4.128.1 to 76.4.159.25476.4.159.2558,190
3876.4.160.0/1976.4.160.1 to 76.4.191.25476.4.191.2558,190
3976.4.192.0/1976.4.192.1 to 76.4.223.25476.4.223.2558,190
4076.4.224.0/1976.4.224.1 to 76.4.255.25476.4.255.2558,190
4176.5.0.0/1976.5.0.1 to 76.5.31.25476.5.31.2558,190
4276.5.32.0/1976.5.32.1 to 76.5.63.25476.5.63.2558,190
4376.5.64.0/1976.5.64.1 to 76.5.95.25476.5.95.2558,190
4476.5.96.0/1976.5.96.1 to 76.5.127.25476.5.127.2558,190
4576.5.128.0/1976.5.128.1 to 76.5.159.25476.5.159.2558,190
4676.5.160.0/1976.5.160.1 to 76.5.191.25476.5.191.2558,190
4776.5.192.0/1976.5.192.1 to 76.5.223.25476.5.223.2558,190
4876.5.224.0/1976.5.224.1 to 76.5.255.25476.5.255.2558,190
4976.6.0.0/1976.6.0.1 to 76.6.31.25476.6.31.2558,190
5076.6.32.0/1976.6.32.1 to 76.6.63.25476.6.63.2558,190
5176.6.64.0/1976.6.64.1 to 76.6.95.25476.6.95.2558,190
5276.6.96.0/1976.6.96.1 to 76.6.127.25476.6.127.2558,190
5376.6.128.0/1976.6.128.1 to 76.6.159.25476.6.159.2558,190
5476.6.160.0/1976.6.160.1 to 76.6.191.25476.6.191.2558,190
5576.6.192.0/1976.6.192.1 to 76.6.223.25476.6.223.2558,190
5676.6.224.0/1976.6.224.1 to 76.6.255.25476.6.255.2558,190
5776.7.0.0/1976.7.0.1 to 76.7.31.25476.7.31.2558,190
5876.7.32.0/1976.7.32.1 to 76.7.63.25476.7.63.2558,190
5976.7.64.0/1976.7.64.1 to 76.7.95.25476.7.95.2558,190
6076.7.96.0/1976.7.96.1 to 76.7.127.25476.7.127.2558,190
6176.7.128.0/1976.7.128.1 to 76.7.159.25476.7.159.2558,190
6276.7.160.0/1976.7.160.1 to 76.7.191.25476.7.191.2558,190
6376.7.192.0/1976.7.192.1 to 76.7.223.25476.7.223.2558,190
6476.7.224.0/1976.7.224.1 to 76.7.255.25476.7.255.2558,190
6576.8.0.0/1976.8.0.1 to 76.8.31.25476.8.31.2558,190
6676.8.32.0/1976.8.32.1 to 76.8.63.25476.8.63.2558,190
6776.8.64.0/1976.8.64.1 to 76.8.95.25476.8.95.2558,190
6876.8.96.0/1976.8.96.1 to 76.8.127.25476.8.127.2558,190
6976.8.128.0/1976.8.128.1 to 76.8.159.25476.8.159.2558,190
7076.8.160.0/1976.8.160.1 to 76.8.191.25476.8.191.2558,190
7176.8.192.0/1976.8.192.1 to 76.8.223.25476.8.223.2558,190
7276.8.224.0/1976.8.224.1 to 76.8.255.25476.8.255.2558,190
7376.9.0.0/1976.9.0.1 to 76.9.31.25476.9.31.2558,190
7476.9.32.0/1976.9.32.1 to 76.9.63.25476.9.63.2558,190
7576.9.64.0/1976.9.64.1 to 76.9.95.25476.9.95.2558,190
7676.9.96.0/1976.9.96.1 to 76.9.127.25476.9.127.2558,190
7776.9.128.0/1976.9.128.1 to 76.9.159.25476.9.159.2558,190
7876.9.160.0/1976.9.160.1 to 76.9.191.25476.9.191.2558,190
7976.9.192.0/1976.9.192.1 to 76.9.223.25476.9.223.2558,190
8076.9.224.0/1976.9.224.1 to 76.9.255.25476.9.255.2558,190
8176.10.0.0/1976.10.0.1 to 76.10.31.25476.10.31.2558,190
8276.10.32.0/1976.10.32.1 to 76.10.63.25476.10.63.2558,190
8376.10.64.0/1976.10.64.1 to 76.10.95.25476.10.95.2558,190
8476.10.96.0/1976.10.96.1 to 76.10.127.25476.10.127.2558,190
8576.10.128.0/1976.10.128.1 to 76.10.159.25476.10.159.2558,190
8676.10.160.0/1976.10.160.1 to 76.10.191.25476.10.191.2558,190
8776.10.192.0/1976.10.192.1 to 76.10.223.25476.10.223.2558,190
8876.10.224.0/1976.10.224.1 to 76.10.255.25476.10.255.2558,190
8976.11.0.0/1976.11.0.1 to 76.11.31.25476.11.31.2558,190
9076.11.32.0/1976.11.32.1 to 76.11.63.25476.11.63.2558,190
9176.11.64.0/1976.11.64.1 to 76.11.95.25476.11.95.2558,190
9276.11.96.0/1976.11.96.1 to 76.11.127.25476.11.127.2558,190
9376.11.128.0/1976.11.128.1 to 76.11.159.25476.11.159.2558,190
9476.11.160.0/1976.11.160.1 to 76.11.191.25476.11.191.2558,190
9576.11.192.0/1976.11.192.1 to 76.11.223.25476.11.223.2558,190
9676.11.224.0/1976.11.224.1 to 76.11.255.25476.11.255.2558,190
9776.12.0.0/1976.12.0.1 to 76.12.31.25476.12.31.2558,190
9876.12.32.0/1976.12.32.1 to 76.12.63.25476.12.63.2558,190
9976.12.64.0/1976.12.64.1 to 76.12.95.25476.12.95.2558,190
10076.12.96.0/1976.12.96.1 to 76.12.127.25476.12.127.2558,190
10176.12.128.0/1976.12.128.1 to 76.12.159.25476.12.159.2558,190
10276.12.160.0/1976.12.160.1 to 76.12.191.25476.12.191.2558,190
10376.12.192.0/1976.12.192.1 to 76.12.223.25476.12.223.2558,190
10476.12.224.0/1976.12.224.1 to 76.12.255.25476.12.255.2558,190
10576.13.0.0/1976.13.0.1 to 76.13.31.25476.13.31.2558,190
10676.13.32.0/1976.13.32.1 to 76.13.63.25476.13.63.2558,190
10776.13.64.0/1976.13.64.1 to 76.13.95.25476.13.95.2558,190
10876.13.96.0/1976.13.96.1 to 76.13.127.25476.13.127.2558,190
10976.13.128.0/1976.13.128.1 to 76.13.159.25476.13.159.2558,190
11076.13.160.0/1976.13.160.1 to 76.13.191.25476.13.191.2558,190
11176.13.192.0/1976.13.192.1 to 76.13.223.25476.13.223.2558,190
11276.13.224.0/1976.13.224.1 to 76.13.255.25476.13.255.2558,190
11376.14.0.0/1976.14.0.1 to 76.14.31.25476.14.31.2558,190
11476.14.32.0/1976.14.32.1 to 76.14.63.25476.14.63.2558,190
11576.14.64.0/1976.14.64.1 to 76.14.95.25476.14.95.2558,190
11676.14.96.0/1976.14.96.1 to 76.14.127.25476.14.127.2558,190
11776.14.128.0/1976.14.128.1 to 76.14.159.25476.14.159.2558,190
11876.14.160.0/1976.14.160.1 to 76.14.191.25476.14.191.2558,190
11976.14.192.0/1976.14.192.1 to 76.14.223.25476.14.223.2558,190
12076.14.224.0/1976.14.224.1 to 76.14.255.25476.14.255.2558,190
12176.15.0.0/1976.15.0.1 to 76.15.31.25476.15.31.2558,190
12276.15.32.0/1976.15.32.1 to 76.15.63.25476.15.63.2558,190
12376.15.64.0/1976.15.64.1 to 76.15.95.25476.15.95.2558,190
12476.15.96.0/1976.15.96.1 to 76.15.127.25476.15.127.2558,190
12576.15.128.0/1976.15.128.1 to 76.15.159.25476.15.159.2558,190
12676.15.160.0/1976.15.160.1 to 76.15.191.25476.15.191.2558,190
12776.15.192.0/1976.15.192.1 to 76.15.223.25476.15.223.2558,190
12876.15.224.0/1976.15.224.1 to 76.15.255.25476.15.255.2558,190
12976.16.0.0/1976.16.0.1 to 76.16.31.25476.16.31.2558,190
13076.16.32.0/1976.16.32.1 to 76.16.63.25476.16.63.2558,190
13176.16.64.0/1976.16.64.1 to 76.16.95.25476.16.95.2558,190
13276.16.96.0/1976.16.96.1 to 76.16.127.25476.16.127.2558,190
13376.16.128.0/1976.16.128.1 to 76.16.159.25476.16.159.2558,190
13476.16.160.0/1976.16.160.1 to 76.16.191.25476.16.191.2558,190
13576.16.192.0/1976.16.192.1 to 76.16.223.25476.16.223.2558,190
13676.16.224.0/1976.16.224.1 to 76.16.255.25476.16.255.2558,190
13776.17.0.0/1976.17.0.1 to 76.17.31.25476.17.31.2558,190
13876.17.32.0/1976.17.32.1 to 76.17.63.25476.17.63.2558,190
13976.17.64.0/1976.17.64.1 to 76.17.95.25476.17.95.2558,190
14076.17.96.0/1976.17.96.1 to 76.17.127.25476.17.127.2558,190
14176.17.128.0/1976.17.128.1 to 76.17.159.25476.17.159.2558,190
14276.17.160.0/1976.17.160.1 to 76.17.191.25476.17.191.2558,190
14376.17.192.0/1976.17.192.1 to 76.17.223.25476.17.223.2558,190
14476.17.224.0/1976.17.224.1 to 76.17.255.25476.17.255.2558,190
14576.18.0.0/1976.18.0.1 to 76.18.31.25476.18.31.2558,190
14676.18.32.0/1976.18.32.1 to 76.18.63.25476.18.63.2558,190
14776.18.64.0/1976.18.64.1 to 76.18.95.25476.18.95.2558,190
14876.18.96.0/1976.18.96.1 to 76.18.127.25476.18.127.2558,190
14976.18.128.0/1976.18.128.1 to 76.18.159.25476.18.159.2558,190
15076.18.160.0/1976.18.160.1 to 76.18.191.25476.18.191.2558,190
15176.18.192.0/1976.18.192.1 to 76.18.223.25476.18.223.2558,190
15276.18.224.0/1976.18.224.1 to 76.18.255.25476.18.255.2558,190
15376.19.0.0/1976.19.0.1 to 76.19.31.25476.19.31.2558,190
15476.19.32.0/1976.19.32.1 to 76.19.63.25476.19.63.2558,190
15576.19.64.0/1976.19.64.1 to 76.19.95.25476.19.95.2558,190
15676.19.96.0/1976.19.96.1 to 76.19.127.25476.19.127.2558,190
15776.19.128.0/1976.19.128.1 to 76.19.159.25476.19.159.2558,190
15876.19.160.0/1976.19.160.1 to 76.19.191.25476.19.191.2558,190
15976.19.192.0/1976.19.192.1 to 76.19.223.25476.19.223.2558,190
16076.19.224.0/1976.19.224.1 to 76.19.255.25476.19.255.2558,190
16176.20.0.0/1976.20.0.1 to 76.20.31.25476.20.31.2558,190
16276.20.32.0/1976.20.32.1 to 76.20.63.25476.20.63.2558,190
16376.20.64.0/1976.20.64.1 to 76.20.95.25476.20.95.2558,190
16476.20.96.0/1976.20.96.1 to 76.20.127.25476.20.127.2558,190
16576.20.128.0/1976.20.128.1 to 76.20.159.25476.20.159.2558,190
16676.20.160.0/1976.20.160.1 to 76.20.191.25476.20.191.2558,190
16776.20.192.0/1976.20.192.1 to 76.20.223.25476.20.223.2558,190
16876.20.224.0/1976.20.224.1 to 76.20.255.25476.20.255.2558,190
16976.21.0.0/1976.21.0.1 to 76.21.31.25476.21.31.2558,190
17076.21.32.0/1976.21.32.1 to 76.21.63.25476.21.63.2558,190
17176.21.64.0/1976.21.64.1 to 76.21.95.25476.21.95.2558,190
17276.21.96.0/1976.21.96.1 to 76.21.127.25476.21.127.2558,190
17376.21.128.0/1976.21.128.1 to 76.21.159.25476.21.159.2558,190
17476.21.160.0/1976.21.160.1 to 76.21.191.25476.21.191.2558,190
17576.21.192.0/1976.21.192.1 to 76.21.223.25476.21.223.2558,190
17676.21.224.0/1976.21.224.1 to 76.21.255.25476.21.255.2558,190
17776.22.0.0/1976.22.0.1 to 76.22.31.25476.22.31.2558,190
17876.22.32.0/1976.22.32.1 to 76.22.63.25476.22.63.2558,190
17976.22.64.0/1976.22.64.1 to 76.22.95.25476.22.95.2558,190
18076.22.96.0/1976.22.96.1 to 76.22.127.25476.22.127.2558,190
18176.22.128.0/1976.22.128.1 to 76.22.159.25476.22.159.2558,190
18276.22.160.0/1976.22.160.1 to 76.22.191.25476.22.191.2558,190
18376.22.192.0/1976.22.192.1 to 76.22.223.25476.22.223.2558,190
18476.22.224.0/1976.22.224.1 to 76.22.255.25476.22.255.2558,190
18576.23.0.0/1976.23.0.1 to 76.23.31.25476.23.31.2558,190
18676.23.32.0/1976.23.32.1 to 76.23.63.25476.23.63.2558,190
18776.23.64.0/1976.23.64.1 to 76.23.95.25476.23.95.2558,190
18876.23.96.0/1976.23.96.1 to 76.23.127.25476.23.127.2558,190
18976.23.128.0/1976.23.128.1 to 76.23.159.25476.23.159.2558,190
19076.23.160.0/1976.23.160.1 to 76.23.191.25476.23.191.2558,190
19176.23.192.0/1976.23.192.1 to 76.23.223.25476.23.223.2558,190
19276.23.224.0/1976.23.224.1 to 76.23.255.25476.23.255.2558,190
19376.24.0.0/1976.24.0.1 to 76.24.31.25476.24.31.2558,190
19476.24.32.0/1976.24.32.1 to 76.24.63.25476.24.63.2558,190
19576.24.64.0/1976.24.64.1 to 76.24.95.25476.24.95.2558,190
19676.24.96.0/1976.24.96.1 to 76.24.127.25476.24.127.2558,190
19776.24.128.0/1976.24.128.1 to 76.24.159.25476.24.159.2558,190
19876.24.160.0/1976.24.160.1 to 76.24.191.25476.24.191.2558,190
19976.24.192.0/1976.24.192.1 to 76.24.223.25476.24.223.2558,190
20076.24.224.0/1976.24.224.1 to 76.24.255.25476.24.255.2558,190
20176.25.0.0/1976.25.0.1 to 76.25.31.25476.25.31.2558,190
20276.25.32.0/1976.25.32.1 to 76.25.63.25476.25.63.2558,190
20376.25.64.0/1976.25.64.1 to 76.25.95.25476.25.95.2558,190
20476.25.96.0/1976.25.96.1 to 76.25.127.25476.25.127.2558,190
20576.25.128.0/1976.25.128.1 to 76.25.159.25476.25.159.2558,190
20676.25.160.0/1976.25.160.1 to 76.25.191.25476.25.191.2558,190
20776.25.192.0/1976.25.192.1 to 76.25.223.25476.25.223.2558,190
20876.25.224.0/1976.25.224.1 to 76.25.255.25476.25.255.2558,190
20976.26.0.0/1976.26.0.1 to 76.26.31.25476.26.31.2558,190
21076.26.32.0/1976.26.32.1 to 76.26.63.25476.26.63.2558,190
21176.26.64.0/1976.26.64.1 to 76.26.95.25476.26.95.2558,190
21276.26.96.0/1976.26.96.1 to 76.26.127.25476.26.127.2558,190
21376.26.128.0/1976.26.128.1 to 76.26.159.25476.26.159.2558,190
21476.26.160.0/1976.26.160.1 to 76.26.191.25476.26.191.2558,190
21576.26.192.0/1976.26.192.1 to 76.26.223.25476.26.223.2558,190
21676.26.224.0/1976.26.224.1 to 76.26.255.25476.26.255.2558,190
21776.27.0.0/1976.27.0.1 to 76.27.31.25476.27.31.2558,190
21876.27.32.0/1976.27.32.1 to 76.27.63.25476.27.63.2558,190
21976.27.64.0/1976.27.64.1 to 76.27.95.25476.27.95.2558,190
22076.27.96.0/1976.27.96.1 to 76.27.127.25476.27.127.2558,190
22176.27.128.0/1976.27.128.1 to 76.27.159.25476.27.159.2558,190
22276.27.160.0/1976.27.160.1 to 76.27.191.25476.27.191.2558,190
22376.27.192.0/1976.27.192.1 to 76.27.223.25476.27.223.2558,190
22476.27.224.0/1976.27.224.1 to 76.27.255.25476.27.255.2558,190
22576.28.0.0/1976.28.0.1 to 76.28.31.25476.28.31.2558,190
22676.28.32.0/1976.28.32.1 to 76.28.63.25476.28.63.2558,190
22776.28.64.0/1976.28.64.1 to 76.28.95.25476.28.95.2558,190
22876.28.96.0/1976.28.96.1 to 76.28.127.25476.28.127.2558,190
22976.28.128.0/1976.28.128.1 to 76.28.159.25476.28.159.2558,190
23076.28.160.0/1976.28.160.1 to 76.28.191.25476.28.191.2558,190
23176.28.192.0/1976.28.192.1 to 76.28.223.25476.28.223.2558,190
23276.28.224.0/1976.28.224.1 to 76.28.255.25476.28.255.2558,190
23376.29.0.0/1976.29.0.1 to 76.29.31.25476.29.31.2558,190
23476.29.32.0/1976.29.32.1 to 76.29.63.25476.29.63.2558,190
23576.29.64.0/1976.29.64.1 to 76.29.95.25476.29.95.2558,190
23676.29.96.0/1976.29.96.1 to 76.29.127.25476.29.127.2558,190
23776.29.128.0/1976.29.128.1 to 76.29.159.25476.29.159.2558,190
23876.29.160.0/1976.29.160.1 to 76.29.191.25476.29.191.2558,190
23976.29.192.0/1976.29.192.1 to 76.29.223.25476.29.223.2558,190
24076.29.224.0/1976.29.224.1 to 76.29.255.25476.29.255.2558,190
24176.30.0.0/1976.30.0.1 to 76.30.31.25476.30.31.2558,190
24276.30.32.0/1976.30.32.1 to 76.30.63.25476.30.63.2558,190
24376.30.64.0/1976.30.64.1 to 76.30.95.25476.30.95.2558,190
24476.30.96.0/1976.30.96.1 to 76.30.127.25476.30.127.2558,190
24576.30.128.0/1976.30.128.1 to 76.30.159.25476.30.159.2558,190
24676.30.160.0/1976.30.160.1 to 76.30.191.25476.30.191.2558,190
24776.30.192.0/1976.30.192.1 to 76.30.223.25476.30.223.2558,190
24876.30.224.0/1976.30.224.1 to 76.30.255.25476.30.255.2558,190
24976.31.0.0/1976.31.0.1 to 76.31.31.25476.31.31.2558,190
25076.31.32.0/1976.31.32.1 to 76.31.63.25476.31.63.2558,190
25176.31.64.0/1976.31.64.1 to 76.31.95.25476.31.95.2558,190
25276.31.96.0/1976.31.96.1 to 76.31.127.25476.31.127.2558,190
25376.31.128.0/1976.31.128.1 to 76.31.159.25476.31.159.2558,190
25476.31.160.0/1976.31.160.1 to 76.31.191.25476.31.191.2558,190
25576.31.192.0/1976.31.192.1 to 76.31.223.25476.31.223.2558,190
25676.31.224.0/1976.31.224.1 to 76.31.255.25476.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses